nz-spin([nzSpinning]="loading", nzTip="Loading modules", [nzDelay]="200")
  nz-card([nzBordered]="false")
    nz-table(#buildListTable, [nzData]="items", [nzShowPagination]="false", [nzPageSize]="500")
      thead
        tr
          th From repository
          th Name
          th(nzWidth="80px") Status
          th Description
          th Creation date
          th(nzWidth="60px") Version
          th(nzWidth="140px") Actions
      tbody
        tr(*ngFor="let item of buildListTable.data; trackBy: trackIByItemId")
          td
            span {{ item.repositoryName }}
          td
            span {{ item.name }}
          td
            ryax-status-tag([label]="item.status", [color]="item.status | ryaxRepositoryModuleBuildStatusColor")
          td
            span {{ item.description | default : '-' }}
          td
            span {{ item.creationDate | default : '-' | date : 'dd/MM/yyyy, HH:mm:ss'}}
          td
            span {{ item.version }}
          td
            ryax-action-button.mr1(*ngIf="isSuccess(item)", size="small", shape="circle", icon="file-done", tooltipText="See documentation", [routerLink]="['/', 'store', item.id]")
            ryax-action-button.mr1(*ngIf="buildEnabled(item) && !hasErrors(item)", size="small", shape="circle", icon="thunderbolt", tooltipText="Retry build", (click)="buildModule(item.id)")
            ryax-action-button.mr1(*ngIf="hasErrors(item)", size="small", shape="circle", icon="info-circle", (click)="openErrorModal(item)")
            ryax-confirm-button(*ngIf="deleteEnabled(item)", icon="delete", iconColor="red", tooltipText="Delete module build", shape="circle", size="small",
              confirmText="Are you sure to delete this module build?", confirmOkText="Delete", (confirmOk)="deleteModule(item.id)")
            button(*ngIf="!deleteEnabled(item)", nz-button, nzSize="small", nzShape="circle", disabled)
              i(nz-icon, nzType="delete")
